#
# spec file for package sgi-bitmap-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstream_name sgi-fonts
%define sgi_fontsdir  %{_miscfontsdir}/sgi

Name:           sgi-bitmap-fonts
Version:        1.0
Release:        lp150.1.4
# fonts gathered from
# ftp://patches-europe.sgi.com/pub/linux/ProPack1.4/SRPMS/sgi-fonts-1.0-1.src.rpm
# -> added COPYING file (MIT license), bug #752246
Summary:        Very Nice Bitmapped Fonts from SGI
License:        MIT
Group:          System/X11/Fonts
Source0:        %{upstream_name}.tar.bz2
Source1:        COPYING
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         %{name}-%{version}.patch
BuildRequires:  fontpackages-devel
BuildRequires:  freetype2
%if 0%{?suse_version} >= 1220
BuildRequires:  bdftopcf
BuildRequires:  fontconfig
BuildRequires:  imake
BuildRequires:  mkfontdir
BuildRequires:  xorg-cf-files
%else
BuildRequires:  xorg-x11
BuildRequires:  xorg-x11-devel
%endif
BuildRequires:  xorg-x11-fonts
Provides:       sgi-fonts = %{version}
# FIXME: This causes a rpmlint warning; change <= to < once here's a new upstream version
Obsoletes:      sgi-fonts <= %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
A few extra fonts from SGI, very readable.

%prep
%setup -q -n %{upstream_name}
%patch0 -p1

%build
xmkmf
make
cp %{SOURCE1} .

%install
make FONTINSTDIR=%{_miscfontsdir} DESTDIR=%{buildroot} install
pushd %{buildroot}%{sgi_fontsdir}
    gzip -n --best *.pcf
    fc-cache -f .
    mkfontscale .
    chmod u+w fonts.dir
    mkfontdir -e %{_fontsdir}/encodings
    touch .fonts-config-timestamp
popd
rm -f %{buildroot}%{sgi_fontsdir}/fonts.cache-?

%reconfigure_fonts_scriptlets

%files
%defattr(644,root,root,755)
%doc COPYING
%dir %{sgi_fontsdir}
%verify(not md5 size mtime) %{sgi_fontsdir}/.fonts-config-timestamp
%verify(not md5 size mtime) %{sgi_fontsdir}/encodings.dir
%verify(not md5 size mtime) %{sgi_fontsdir}/fonts.dir
%verify(not md5 size mtime) %{sgi_fontsdir}/fonts.scale
%{sgi_fontsdir}/fonts.alias
%{sgi_fontsdir}/*.pcf.gz

%changelog
* Sun Apr 30 2017 bwiedemann@suse.com
- call gzip -n to make build fully reproducible
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Sat Jun 30 2012 i@marguerite.su
- fix build 12.2.
  * now bdftopcf is a separated package from xorg-x11.
  * xmkmf now in imake.
  * Imake.tmpl now in xorg-cf-files.
  * mkfontdir is now splitted to a separated package from xorg-x11-util-devel
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Tue Mar 20 2012 pgajdos@suse.com
- added COPYING file [bnc#752246]
* Fri Mar  9 2012 saschpe@suse.de
- Minor cleanup
* Mon Jan 30 2012 pgajdos@suse.com
- renamed to sgi-bitmap-fonts
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Tue Aug  8 2006 mfabian@suse.de
- move fonts to /usr/share/fonts because of the move to Xorg X11R7.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 mmj@suse.de
- don't package font-cache stuff
* Thu Jan 19 2006 mmj@suse.de
- fix filelist
* Fri Oct 14 2005 ro@suse.de
- use fonts-cache-? in filelist
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Fri Mar 19 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Fri Feb 27 2004 mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Tue Nov  4 2003 ro@suse.de
- fix build after previous change
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
* Thu Sep 18 2003 kukuk@suse.de
- Create all font metadata
* Fri Aug 29 2003 kukuk@suse.de
- Add %%verify for fonts.dir
* Sat Mar  8 2003 mfabian@suse.de
- Bug #24908: bdf property FOUNDRY was the empty string in a few
  fonts -> fill it with "SGI" as it is in the other fonts already.
- sgi-fonts.tar.gz wasn't really gzipped, only tarred.
  - > make it a correct .tar.bz2 file.
* Sat Mar  1 2003 mmj@suse.de
- Make it use BuildRoot:
- Add freetype2 for build on s390
- Cleanup specfile
* Mon Apr  9 2001 ro@suse.de
- don't use macro for version
* Thu Mar 22 2001 jj@suse.de
- initial version
